Subject: Re: bug#41077: [feature/native-comp] Segfaults when compiling ELC+ELN

From: Andrea Corallo <[email-masked]>
Date: Mon, 04 May 2020 21:15:24 +0000

Kévin Le Gouguec <[email-masked]> writes:

> Andrea Corallo <[email-masked]> writes:
>
>> please try compiling and running this:
>>
>> https://gcc.gnu.org/onlinedocs/jit/intro/tutorial01.html
>>
>> we'll know to begin with if this is an issue of the native-comp branch
>> or (as I suspect) of the libgccjit package of the distro.
>
> Good guess: that compiles without any warning, then segfaults too.
>
> Should I follow the instructions from
> https://gcc.gnu.org/wiki/JIT#Building_it_from_source to get a more
> recent libgccjit.so?  Is there a minimal required version, or does the
> problem come from something else?  (E.g. the way the distro compiled the
> library.)

All versions should work but at this point I'd go for releases/gcc-10 or
releases/gcc-9.3.0

Yes that's the link to look at.

> Feel free to close this report; I can open a new one if needed after I
> get the tutorial you mentioned running correctly.
>
> Thank you for taking a look at this.

You are welcome, closing it.

  Andrea

-- 
[email-masked]